Package com.independentsoft.office.odf.forms

# Class FormColumn

java.lang.Object
com.independentsoft.office.odf.forms.FormColumn

public class FormColumn extends Object
Defines a column in a grid control.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormColumn()`
  Initializes a new instance of the FormColumn class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormColumn`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getControlImplementation()`
  Gets the specific concrete rendition or implementation of a control that should be instantiated.
  `String`
  `getLabel()`
  Gets the text for a control.
  `String`
  `getName()`
  Gets the name of a form or control element.
  `String`
  `getStyle()`
  Gets the paragraph style that is applied to all controls for a column.
  `void`
  `setControlImplementation​(String controlImplementation)`
  Sets the specific concrete rendition or implementation of a control that should be instantiated.
  `void`
  `setLabel​(String label)`
  Sets the text for a control.
  `void`
  `setName​(String name)`
  Sets the name of a form or control element.
  `void`
  `setStyle​(String style)`
  Sets the paragraph style that is applied to all controls for a column.
  `String`
  `toString()`
  Converts the value of the current FormColumn object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FormColumn

    public FormColumn()
    Initializes a new instance of the FormColumn class.

- ## Method Details

  - ### clone

    public FormColumn clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current FormColumn object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of a form or control element.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of a form or control element.
    Parameters:
      `name` - the new name

  - ### getControlImplementation

    public String getControlImplementation()
    Gets the specific concrete rendition or implementation of a control that should be instantiated.
    Returns:
      the control implementation

  - ### setControlImplementation

    public void setControlImplementation​(String controlImplementation)
    Sets the specific concrete rendition or implementation of a control that should be instantiated.
    Parameters:
      `controlImplementation` - the new control implementation

  - ### getLabel

    public String getLabel()
    Gets the text for a control.
    Returns:
      the label

  - ### setLabel

    public void setLabel​(String label)
    Sets the text for a control.
    Parameters:
      `label` - the new label

  - ### getStyle

    public String getStyle()
    Gets the paragraph style that is applied to all controls for a column. Unlike other paragraph styles, this style may reference a data style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the paragraph style that is applied to all controls for a column. Unlike other paragraph styles, this style may reference a data style.
    Parameters:
      `style` - the new style